Bug 465300 - transparent tray icons written using perl-Gtk2-TrayIcon have a white background
transparent tray icons written using perl-Gtk2-TrayIcon have a white background
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-Gtk2-TrayIcon (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 12:49 EDT by Christian Herzog
Modified: 2009-07-14 10:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Herzog 2008-10-02 12:49:53 EDT
Description of problem:
tray icons with an alpha channel used by programs written using perl-Gtk2-TrayIcon are not transparent, but have a white background

Version-Release number of selected component (if applicable):
0.06-4.fc9

How reproducible:
always

Steps to Reproduce:
1. get http://daduke.org/dl/wefunktray for example
2. run it

  
Actual results:
white background behing icon

Expected results:
transparent icon

Additional info:
ubuntu fixed it: https://bugs.launchpad.net/ubuntu/+source/libgtk2-trayicon-perl/+bug/156886
I can confirm that icons are transparent with this fix.
Comment 1 Chris Weyl 2008-10-05 14:04:39 EDT
Hmm.

Looking at the ubuntu bug, it appears they "fixed" it by updating to 0.06 of Gtk2::TrayIcon...  There also doesn't seem to be an upstream bug filed against Gtk2::TrayIcon at rt.cpan.org; and I can't reproduce this under F-9 with the wefunctray source above.  :\

Are you sure you're using Gtk2::TrayIcon from the rpm?  There isn't another older copy installed locally that wefunktray is picking up first?  (easy to check -- run 'locate Gtk2/TrayIcon.pm' and see if multiples pop up.)
Comment 2 Christian Herzog 2008-10-05 17:54:51 EDT
hey Chris,

you can't reproduce it - does this mean the icon is transparent for you? Even if you're using it on a transparent trayer? Like this:
trayer --SetDockType true --widthtype request --align right --transparent true --alpha 255
For me, the result is: http://www.phys.ethz.ch/~daduke/wf.png

I definitely only have /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Gtk2/TrayIcon.pm on my machine. 

Could it be that the actual problem is not in the PERL wrapper in TrayIcon.pm, but in some gnome/eggtray/whatever package?

thanks,
-d
Comment 3 Bug Zapper 2009-06-09 22:52:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:04:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.